C# Класс Revit.SDK.Samples.GridCreation.CS.CreateGridsData

Base class of all grid creation data class
Показать файл Открыть проект

Защищенные свойства (Protected)

Свойство Тип Описание
m_appCreator Autodesk.Revit.Creation.Autodesk.Revit.ApplicationServices.Application
m_docCreator Autodesk.Revit.Creation.Document
m_dut DisplayUnitType
m_revitDoc Autodesk.Revit.DB.Document
resManager System.Resources.ResourceManager

Открытые методы

Метод Описание
AddCurveForBatchCreation ( CurveArray &curves, Curve curve ) : void

Add curve to curve array for batch creation

CreateGridsData ( UIApplication application, ArrayList labels ) : System

Constructor without display unit type

CreateGridsData ( UIApplication application, ArrayList labels, DisplayUnitType dut ) : System

Constructor with display unit type

ShowMessage ( String message, String caption ) : void

Show a message box

Защищенные методы

Метод Описание
CreateGrids ( CurveArray curves ) : void

Create batch of grids with curves

CreateLinearGrid ( Line line ) : Grid

Create linear grid

NewGrid ( Arc arc ) : Grid

Create a grid with an arc

NewGrid ( Line line ) : Grid

Create a grid with a line

NewLine ( Autodesk start, Autodesk end ) : Line

Create a new bound line

TransformArc ( Arc arc, BubbleLocation bubLoc ) : Arc

Get the arc to create grid according to the specified bubble location

TransformArc ( Autodesk origin, double radius, double startDegree, double endDegree, BubbleLocation bubLoc ) : Arc

Get the arc to create grid according to the specified bubble location

TransformCircle ( Arc arc, Arc &upperArc, Arc &lowerArc, BubbleLocation bubLoc ) : void

Split a circle into the upper and lower parts

TransformLine ( Line line, BubbleLocation bubLoc ) : Line

Get the line to create grid according to the specified bubble location

Описание методов

AddCurveForBatchCreation() публичный статический Метод

Add curve to curve array for batch creation
public static AddCurveForBatchCreation ( CurveArray &curves, Curve curve ) : void
curves CurveArray curve array stores all curves for batch creation
curve Curve curve to be added
Результат void

CreateGrids() защищенный Метод

Create batch of grids with curves
protected CreateGrids ( CurveArray curves ) : void
curves CurveArray Curves used to create grids
Результат void

CreateGridsData() публичный Метод

Constructor without display unit type
public CreateGridsData ( UIApplication application, ArrayList labels ) : System
application UIApplication Revit application
labels System.Collections.ArrayList All existing labels in Revit's document
Результат System

CreateGridsData() публичный Метод

Constructor with display unit type
public CreateGridsData ( UIApplication application, ArrayList labels, DisplayUnitType dut ) : System
application UIApplication Revit application
labels System.Collections.ArrayList All existing labels in Revit's document
dut DisplayUnitType Current length display unit type
Результат System

CreateLinearGrid() защищенный Метод

Create linear grid
protected CreateLinearGrid ( Line line ) : Grid
line Line The linear curve to be transferred to grid
Результат Grid

NewGrid() защищенный Метод

Create a grid with an arc
protected NewGrid ( Arc arc ) : Grid
arc Arc Arc to create grid
Результат Grid

NewGrid() защищенный Метод

Create a grid with a line
protected NewGrid ( Line line ) : Grid
line Line Line to create grid
Результат Grid

NewLine() защищенный Метод

Create a new bound line
protected NewLine ( Autodesk start, Autodesk end ) : Line
start Autodesk start point of line
end Autodesk end point of line
Результат Line

ShowMessage() публичный статический Метод

Show a message box
public static ShowMessage ( String message, String caption ) : void
message String Message
caption String title of message box
Результат void

TransformArc() защищенный Метод

Get the arc to create grid according to the specified bubble location
protected TransformArc ( Arc arc, BubbleLocation bubLoc ) : Arc
arc Arc The original selected line
bubLoc BubbleLocation bubble location
Результат Arc

TransformArc() защищенный Метод

Get the arc to create grid according to the specified bubble location
protected TransformArc ( Autodesk origin, double radius, double startDegree, double endDegree, BubbleLocation bubLoc ) : Arc
origin Autodesk Arc grid's origin
radius double Arc grid's radius
startDegree double Arc grid's start degree
endDegree double Arc grid's end degree
bubLoc BubbleLocation Arc grid's Bubble location
Результат Arc

TransformCircle() защищенный Метод

Split a circle into the upper and lower parts
protected TransformCircle ( Arc arc, Arc &upperArc, Arc &lowerArc, BubbleLocation bubLoc ) : void
arc Arc Arc to be split
upperArc Arc Upper arc of the circle
lowerArc Arc Lower arc of the circle
bubLoc BubbleLocation bubble location
Результат void

TransformLine() защищенный Метод

Get the line to create grid according to the specified bubble location
protected TransformLine ( Line line, BubbleLocation bubLoc ) : Line
line Line The original selected line
bubLoc BubbleLocation bubble location
Результат Line

Описание свойств

m_appCreator защищенное свойство

Application Creation object to create new elements
protected Autodesk.Revit.Creation.Autodesk.Revit.ApplicationServices.Application m_appCreator
Результат Autodesk.Revit.Creation.Autodesk.Revit.ApplicationServices.Application

m_docCreator защищенное свойство

Document Creation object to create new elements
protected Autodesk.Revit.Creation.Document m_docCreator
Результат Autodesk.Revit.Creation.Document

m_dut защищенное свойство

Current display unit type
protected DisplayUnitType m_dut
Результат DisplayUnitType

m_revitDoc защищенное свойство

The active document of Revit
protected Document,Autodesk.Revit.DB m_revitDoc
Результат Autodesk.Revit.DB.Document

resManager защищенное статическое свойство

Resource manager
protected static System.Resources.ResourceManager resManager
Результат System.Resources.ResourceManager